package com.engine.salary.formlua.core.exception;

import com.engine.salary.util.SalaryI18nUtil;

public enum ErrorType {
    /**
     * 函数参数不能为空
     */
    NOT_NULL(SalaryI18nUtil.getI18nLabel(91326, "函数参数不能为空")),
    /**
     * 参数不能为空
     */
    VAR_NOT_NULL(SalaryI18nUtil.getI18nLabel(32804, "参数不能为空")),
    /**
     * 函数参数错误,参数类型需为数字字段
     */
    MUST_NUM(SalaryI18nUtil.getI18nLabel(91327, "函数参数错误,参数类型需为数字字段")),
    /**
     * 函数参数类型错误,参数需为表格
     */
    MUST_FORM(SalaryI18nUtil.getI18nLabel(91330, "函数参数类型错误,参数需为表格")),
    /**
     *
     */
    MUST_FORM_FIELD(SalaryI18nUtil.getI18nLabel(91331, "函数参数错误,参数类型需为表格字段")),
    CANT_FORM_FIELD(SalaryI18nUtil.getI18nLabel(91427, "比较操作符参数不能是表格字段")),
    /**
     *
     */
    CND_NOT_NULL(SalaryI18nUtil.getI18nLabel(11575, "条件不能为空")),
    /**
     *
     */
    MIN_VAR_COUNT(SalaryI18nUtil.getI18nLabel(91332, "函数的最少参数个数")),
    /**
     *
     */
    MAX_VAR_COUNT(SalaryI18nUtil.getI18nLabel(91333, "函数的最多参数个数")),
    /**
     *
     */
    CANNOT_HAVE_VAR(SalaryI18nUtil.getI18nLabel(91334, "函数不能有参数")),
    /**
     *
     */
    RETURN_TYPE_DIFF(SalaryI18nUtil.getI18nLabel(91335, "函数多个条件的返回值必须一致")),
    /**
     *
     */
    VAR_COUNT_MUST_Odd(SalaryI18nUtil.getI18nLabel(91336, "函数最后一个参数需为默认返回值")),
    /**
     *
     */
    VAR_TYPE_WRONG(SalaryI18nUtil.getI18nLabel(91337, "函数参数类型错误")),
    /**
     *
     */
    VAR_MUST_HAVE_DATE(SalaryI18nUtil.getI18nLabel(91338, "函数日期参数必须包含年月日")),
    /**
     *
     */
    VAR_TYPE_MUST_BE(SalaryI18nUtil.getI18nLabel(91339, "函数参数类型错误，参数类型需为")),
    /**
     *
     */
    CANNOT_FIND_TEN(SalaryI18nUtil.getI18nLabel(91361, "函数未能获取到租户"));

    ErrorType(String name) {
    }
}
